Subject: Cannot build today -- autoloads?

From: jpff <[email-masked]>
Date: Thu, 20 Nov 2008 18:24:38 +0000

I ran my usual cvs update and make, but this evening this failed as....

Loading textmodes/text-mode...
Loading textmodes/fill...
((60986 . 10959) (12528 . 0) (644 . 26) 90717 1300175 (109 . 11) (22 . 13) (5649 . 6534))
Loading replace...
Loading buff-menu...
Attempt to autoload char-displayable-p while preparing to dump
make[1]: *** [emacs] Error 255
make[1]: Leaving directory `/bigdisk/jpff/GNU_21/emacs-22.0.50/src'
make: *** [src] Error 2

I have tried make bootstrap, and make clean, and other stuff and
cannot get beyond this

I am reporting from a different emacs -- trying to build 23.0.60.xx on
OpenSuSE 11.0 with x86_64 processor

In GNU Emacs 22.2.1 (x86_64-suse-linux-gnu, GTK+ Version 2.12.9)
 of 2008-09-12 on hammer22
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
configured using `configure  '--with-gcc' '--with-pop' '--without-hesiod' '--with-kerberos' '--with-kerberos5' '--with-leim' '--with-xim' '--with-system-malloc' '--prefix=/usr' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--with-x' '--with-sound' '--with-xpm' '--with-jpeg' '--with-tiff' '--with-gif' '--with-png' '--with-x-toolkit=gtk' '--x-includes=/usr/include' '--x-libraries=/usr/lib64:/usr/share/X11' '--build=x86_64-suse-linux-gnu' 'build_alias=x86_64-suse-linux-gnu' 'CC=gcc' 'CFLAGS=-O2 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -g -D_GNU_SOURCE -std=gnu89 -pipe -fno-strict-aliasing -Wno-pointer-sign -Wno-unused-variable -Wno-unused-label -Wno-unprototyped-calls -DSYSTEM_PURESIZE_EXTRA=55000 	 -DSITELOAD_PURESIZE_EXTRA=10000 ' 'LDFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  auto-image-file-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> M-x r e p o <tab> r t - e m <tab> <ret
urn>

Recent messages:
Loading uniquify...done
Toggling show-paren-mode off; better pass an explicit argument.
Loading /bigdisk/jpff/mail-filter.el (source)...done
Loading logger...done
Loading /bigdisk/jpff/.myemacs.elc...done
Loading image-file...done
Loading eldoc...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
Loading emacsbug...done

==John ffitch